GET https://api.ap1.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} https://api.ap2.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} https://api.datadoghq.eu/api/v2/integration/servicenow/users/{instance_id} https://api.ddog-gov.com/api/v2/integration/servicenow/users/{instance_id} https://api.us2.ddog-gov.com/api/v2/integration/servicenow/users/{instance_id} https://api.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} https://api.us3.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} https://api.us5.datadoghq.com/api/v2/integration/servicenow/users/{instance_id}
Overview Get all users for a ServiceNow instance.
Arguments Path Parameters The ID of the ServiceNow instance
Response OK
Response containing ServiceNow users
Expand All
Array of ServiceNow user data objects
Attributes of a ServiceNow user
The email address of the user
The full name of the user
The ID of the ServiceNow instance
The username of the ServiceNow user
The system ID of the user in ServiceNow
Unique identifier for the ServiceNow user
Type identifier for ServiceNow user resources
Allowed enum values: users
{
"data" : [
{
"attributes" : {
"email" : "john.doe@example.com" ,
"full_name" : "John Doe" ,
"instance_id" : "65b3341b-0680-47f9-a6d4-134db45c603e" ,
"user_name" : "john.doe" ,
"user_sys_id" : "abc123def456"
},
"id" : "65b3341b-0680-47f9-a6d4-134db45c603e" ,
"type" : "users"
}
]
} Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Path parameters export instance_id = "65b3341b-0680-47f9-a6d4-134db45c603e" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/integration/servicenow/users/${instance_id} " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
List ServiceNow users returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.service_now_integration_api import ServiceNowIntegrationApi
from uuid import UUID
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = ServiceNowIntegrationApi ( api_client )
response = api_instance . list_service_now_users (
instance_id = UUID ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ),
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# List ServiceNow users returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: ServiceNowIntegrationAPI . new
p api_instance . list_service_now_users ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// List ServiceNow users returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
"github.com/google/uuid"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewServiceNowIntegrationApi ( apiClient )
resp , r , err := api . ListServiceNowUsers ( ctx , uuid . MustParse ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ))
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `ServiceNowIntegrationApi.ListServiceNowUsers`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `ServiceNowIntegrationApi.ListServiceNowUsers`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// List ServiceNow users returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.ServiceNowIntegrationApi ;
import com.datadog.api.client.v2.model.ServiceNowUsersResponse ;
import java.util.UUID ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
ServiceNowIntegrationApi apiInstance = new ServiceNowIntegrationApi ( defaultClient );
try {
ServiceNowUsersResponse result =
apiInstance . listServiceNowUsers ( UUID . fromString ( "65b3341b-0680-47f9-a6d4-134db45c603e" ));
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling ServiceNowIntegrationApi#listServiceNowUsers" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// List ServiceNow users returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_service_now_integration ::ServiceNowIntegrationAPI ;
use uuid ::Uuid ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = ServiceNowIntegrationAPI ::with_config ( configuration );
let resp = api
. list_service_now_users (
Uuid ::parse_str ( "00000000-0000-0000-0000-000000000000" ). expect ( "invalid UUID" ),
)
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* List ServiceNow users returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . ServiceNowIntegrationApi ( configuration );
const params : v2.ServiceNowIntegrationApiListServiceNowUsersRequest = {
instanceId : "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ,
};
apiInstance
. listServiceNowUsers ( params )
. then (( data : v2.ServiceNowUsersResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"